#include "trap.h"

int add(int a, int b) {
	int c = a + b;
	return c;
}

int test_data[] = {0, 1, 2};
int ans[] = {0, 1, 2,1,2,3,2,3,4};

#define NR_DATA (sizeof(test_data) / sizeof(test_data[0]))

int main() {
	int i, j, ans_idx = 0;
	for(i = 0; i < NR_DATA; i ++) {
		for(j = 0; j < NR_DATA; j ++) {
        nemu_assert(1);
		}
		nemu_assert(j == NR_DATA);
	}
	nemu_assert(i == NR_DATA);

	return 0;
}
